AsyncWorldEdit 3.6.16

Async WorldEdit - Edit millions of blocks without lag!

  1. zz2423257
    zz2423257
    5/5,
    Version: 3.6.16
    This is a great plugin and worth buying
    disabledOperations:
    - NavigationWand
    To close the compass
  2. ziemniok99
    ziemniok99
    5/5,
    Version: 3.6.16
    I love this plugin. It saves my server when doing bug changes. Also I have a problem please disable compass navigation thing to be done with fully async mode, because it makes no sense.
  3. HASMCServers
    HASMCServers
    5/5,
    Version: 3.6.16
    Working great so far in my server. Got tired of trying to perform WE commands and the server needing to "freeze" for 20 seconds - This solved that problem indefinitely.
  4. _Ross__
    _Ross__
    1/5,
    Version: 3.6.11
    Freemium software. Unless you want to wait 6 months or so after a new minecraft version you'll have to pay for this plugin.
    1. SB_prime
      Author's Response
      Do you know the say: "no free lunch"? The source for the latest premium was released within days after premium release.
      Besides the jar for the free version was release ~2 months ago not 6.
  5. fierceeo
    fierceeo
    5/5,
    Version: 3.6.11
    Amazing Plugin this is exactly what I need. Just a note, the plugin seems to work fine on 1.15.1
  6. Ruptic
    Ruptic
    5/5,
    Version: 3.6.11
    Very great plugin for eliminating the lag off of all of my servers when trying to do some big changes with World Edit. Keep it up!
  7. shyuewei1
    shyuewei1
    5/5,
    Version: 3.6.11
    Nice Plugin!
    Nice Plugin! Nice Plugin! Nice Plugin! Nice Plugin! Nice Plugin! Nice Plugin! Nice Plugin! Nice Plugin! Nice Plugin! Nice Plugin! Nice Plugin! Nice Plugin!
  8. __Vekster007__
    __Vekster007__
    5/5,
    Version: 3.6.11
    Just wonderful optimizes WorldEdit, and most importantly requires configuration!
  9. Zipperok
    Zipperok
    5/5,
    Version: 3.6.10
    Great plugin, works good. Now I can easily //set a lit of blocks w/o making server lag
  10. mc-luxe
    mc-luxe
    5/5,
    Version: 3.6.10
    Thanks to the author for the wonderful plugin. Do not listen to these fools who do not even know how to start a computer. People like you make the minecraft community better!
  11. peterolo
    peterolo
    1/5,
    Version: 3.6.4
    Can't load the plugin. I get an error at the condole. (Can't load the plugin at the folder plugins)
    1. SB_prime
      Author's Response
      Then you should have asked for help before giving a review.
  12. AuroraRainbow
    AuroraRainbow
    1/5,
    Version: 3.6.4
    This plugin sounds great, and used to work very well. However recently the developer started some, to put it nicely, "not nice" practices. If you don't want to buy the premium version, you have to build it yourself. This is fine and okay, no problem with that.

    However, you can't.

    The Dev added copy protection so it is extremly hard, even for advanced users, to compile this plugin themselves.

    And, to make matters even worse, he is using a custom license, which forbids
    - providing a script or even an manual on how to successfully build it
    - forking the project and fixing the build process
    - or providing the jar

    Of course the dev wants people to use the premium version, but this is just unfair practice. Without the possibility to compile the plugin myself and test it, I can't decide if I want the premium version.

    I'd highly suggest supporting another dev, that doesn't use unfair practices like that
    1. SB_prime
      Author's Response
      Since you are addressing the how I approached the syncing premium and nonpremium, I'll answer:

      1. The compilation: I would argue that an advanced software developer can't build it. I talked with couple beginners that ware able to compile it without any problems,
      2. No binary releases: this is not true, I release binary (jar) releases of the latest version. Although the free jar releases are couple of versions behind,
      3. Premium vs Free: To be honest if I ware want ppl to get the premium there would be no free version. Besides currently the free code is the same as in the premium. I had to add some stuff for ppl that bought the premium version before it became open source.
      4. Open source: it means that source code is available, not that instructions on how to compile is available.
  13. Redned
    Redned
    5/5,
    Version: 3.6.4
    Great plugin, very helpful when trying to eliminate lag when using WorldEdit. Does its job well. Very grateful for this resource.
  14. waqe
    waqe
    5/5,
    Version: 3.6.0-rc-05
    This plugin does a great job of making world edit usable with large schematics. I have been using it during the move to 1.13 and now to 1.14. SB has twice fixed issues I was having on what I would imagine is a not easy plugin to keep up to date with all the beta/changes worldedit keeps making. Love this plugin and my server would not be the same w/o it. (-:
  15. jonnycp9
    jonnycp9
    3/5,
    Version: 3.6.0-rc-05
    mmmmmmmmm, i have testes on paper spigot.. but paper spgito 1.13.2 can't load this plugin, so i can't use this plugin, maybe is good for spigot 1.13.2, but i don't use spigot, so thank for update
    1. SB_prime
      Author's Response
      If you filed an error report and included a startup log I could have helped, now its not possible.
  16. CharlesNic
    CharlesNic
    5/5,
    Version: 3.5.4
    I have been SO happy with your plugin since I discovered it. I do a lot of schematic export and import, mostly to play with schematics that people have made available for download. Even massive schematics render without crashing or lagging out my server. Thank you!!!
  17. nagundagun1
    nagundagun1
    5/5,
    Version: 3.5.4
    the free version gets updated to 1.13 stable at a later time, please calm down people and wait.
    1. SB_prime
      Author's Response
      Actually the free version is already updated to 1.13, but not released on spigot. You need to go to github and compile it by yourself.
  18. x0Z3ro0x
    x0Z3ro0x
    1/5,
    Version: 3.5.4
    If you are using 1.12 and under this remains a 5 star plugin. However due to recent bad apples the dev has let the entire bunch spoil. Let me explain. 1.13 users must wait or purchase which is fair and I HIGHLY recommend purchasing. The developer is very friendly and is great at helping you as well as pumping out updates. But due to bad apples charging back their purchase, they know have to manually verify each transaction. This is a lot of trouble to go through, a lot more than I am worth doing. So for me, it means not purchasing the plugin, and instead switching to a less effective alt. This is the only thing holding me back, should it change I will gladly switch back and edit my review.
    1. SB_prime
      Author's Response
      First thing first you are rating a plugin that is free not premium.

      Putting that aside don't blame me for not accepting each and every transaction. I do this simply because of multiple frauds from UNVERIFIED account. Therefore I will not change the model of payment acceptance.
      All information about the payments is described on the plugin main page, therefore when you click buy you accept those terms. I do not force anyone to buy my plugin you can use the free version (even for 1.13 since the source is available) ergo I'm not forcing anyone to verify their account. Don't like my terms don't like my terms, don't buy my plugin.

      I would rather not get couple of buck then have to pay additional 20$ for each charge-back.
  19. dohuuduc
    dohuuduc
    5/5,
    Version: 3.5.4
    -----------------------------------------------------------------------------------------
    I like you. your mother ♥
  20. Misio12320
    Misio12320
    5/5,
    Version: 3.5.4
    Great plugin congrats... If the author could make a download now option that would be better also 5 stars for this plugin...